body {
    margin: 20px;
    font-family: Arial, sans-serif;
}

.container {
    display: grid;
    grid-template-columns: auto 20% 20% auto;
    grid-template-rows: 20px 50px repeat(4, 150px);
    grid-gap: 20px;
}

.navbar {
    grid-column: 1 / -1; /* Simplified to span all columns */
    /*grid-column-start: 1;
    grid-column-end: 5;*/
    background-color: white;
    display: flex;
}

.navbar li {
    display: inline-block;
    list-style-type: none;
}

a {
    text-decoration: none;
    color: black;
    padding: 10px;
}

.heading {
    grid-column: 1 / -1;
    /*grid-row-start: 2;
    grid-column-start: 1;
    grid-column-end: 5;*/
    text-align: center;
}

.bigimage {
    grid-area: 3 / 1 / 5 / 4;
    /*grid-row-start: 3;
    grid-column-start: 1;
    grid-row-end: 5;
    grid-column-end: 4;*/
}

.mediumimage {
    grid-area: 3 / 4 / 5 / 5;
    /*grid-row-start: 3;
    grid-column-start: 4;
    grid-row-end: 5;
    grid-column-end: 5;*/
}

.smallimage {
    display: grid; /* Set up an internal grid for small images */
    grid-template-columns: repeat(4, auto);
}

img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
}

.text {
    font-family: 'Times New Roman', Times, serif;
    text-align: center;
    font-size: 16px;
    line-height: 1.8;
}

h5 {
    padding: 0;
    margin: 4px;
    color: rgb(209, 103, 21);
    text-transform: uppercase;
}

/* Media Query for Mobile Devices */
@media (max-width: 600px) {
    .container {
        grid-template-columns: 1fr 1fr;
        grid-gap: 10px;
    }

    .navbar,
    .heading,
    .bigimage,
    .mediumimage {
        grid-column: 1 / -1;
    }

    .bigimage {
        grid-row-start: 3;
        grid-row-end: 5;
    }
    .mediumimage {
        grid-row-start: 5;
        grid-row-end: 7;
    }

    .smallimage {
        grid-auto-rows: 150px;
    }

    body {
        margin: 10px;
    }

    .text,
    a {
        font-size: 14px;
    }

    img {
        border-radius: 10px;
    }
}